function [dft_freq, dft_pow] = do_fft(data,freq)

% [dft_freq, dft_pow] = do_fft(data,freq)
%
% Does FFT following the example in Matlab's help doc of fft.m
%
% Input
% data: a vector of consecutive samples
% freq: sampling frequency (Hz)
%
% Output
% dft_freq: vector of signal frequencies
% def_pow: signal power at each frequency

nrsamp   = length(data);
nfft     = 2^nextpow2(nrsamp);
dft_pow  = 2*abs(fft(data,nfft)/nrsamp);
dft_pow  = dft_pow(1:nfft/2+1);
dft_freq = freq/2*linspace(0,1,nfft/2+1);


