function newvecs = rm_nan(vecs)

% Remove any sentence that contains NaN from the cell array 'vecs' of
% word/syllable representations. Do this for each simulated subject
% individually because the sentences are randomly ordered per subject.

[Nsubj,Nsent] = size(vecs);

for s = 1:Nsubj
    hasnan   = zeros(1,Nsent);
    thisvecs = vecs(s,:);

    for i = 1:Nsent
        if sum(sum(isnan(thisvecs{i}))) > 0
            hasnan(i) = 1;
        end
    end

    thisvecs(find(hasnan)) = [];
    newvecs(s,:)           = thisvecs;
end
